# Uses of Interface
javax.transaction.xa.XAResource

Packages that use XAResource
Package
Description
javax.sql
Provides the API for server side data source access and processing from the Java programming language.
javax.transaction.xa
Provides the API that defines the contract between the transaction manager and the resource manager, which allows the transaction manager to enlist and delist resource objects (supplied by the resource manager driver) in JTA transactions.

## Uses of XAResource in javax.sql

Methods in javax.sql that return XAResource
Modifier and Type
Method
Description
`XAResource`
XAConnection.`getXAResource()`
Retrieves an `XAResource` object that the transaction manager will use to manage this `XAConnection` object's participation in a distributed transaction.

## Uses of XAResource in javax.transaction.xa

Methods in javax.transaction.xa with parameters of type XAResource
Modifier and Type
Method
Description
`boolean`
XAResource.`isSameRM(XAResource xares)`
This method is called to determine if the resource manager instance represented by the target object is the same as the resource manager instance represented by the parameter xares.